### Hierarchy

- DialogProxy

### Implements

- Client

## Index

### Constructors

- constructor

### Properties

- _clientListener
- _dialogDelegateChain
- _initialized
- _initializedPr
- _initializedRejectFn
- _initializedResolveFn
- _lastActivity
- _locale

### Accessors

- lastActivity

### Methods

- addClientListener
- clientListener
- deleteJson
- getBlob
- getJson
- getText
- isAnyUserInBriefcaseMode
- isUserInBriefcaseMode
- openStream
- postJson
- postMultipart
- prepareForActivity
- processRequestAndResponse
- putJson
- removeClientListener
- delegateRequest

## Constructors

### constructor

- new DialogProxy(): DialogProxy

- - Defined in proxy/DialogProxy.ts:26

  #### Returns DialogProxy

## Properties

### Private _clientListener

_clientListener: ClientListener

- Defined in proxy/DialogProxy.ts:19

### Private _dialogDelegateChain

_dialogDelegateChain: DialogDelegate[]

- Defined in proxy/DialogProxy.ts:20

### Private _initialized

_initialized: boolean

- Defined in proxy/DialogProxy.ts:21

### Private _initializedPr

_initializedPr: Promise<boolean>

- Defined in proxy/DialogProxy.ts:22

### Private _initializedRejectFn

_initializedRejectFn: function

- Defined in proxy/DialogProxy.ts:23

#### Type declaration

- - (error: any): void

  - #### Parameters

    - ##### error: any

    #### Returns void

### Private _initializedResolveFn

_initializedResolveFn: function

- Defined in proxy/DialogProxy.ts:24

#### Type declaration

- - (value: any): void

  - #### Parameters

    - ##### value: any

    #### Returns void

### Private _lastActivity

_lastActivity: Date = new Date()

- Defined in proxy/DialogProxy.ts:25

### Private _locale

_locale: CvLocale

- Defined in proxy/DialogProxy.ts:26

## Accessors

### lastActivity

- get lastActivity(): Date

- - Defined in proxy/DialogProxy.ts:67

  #### Returns Date

## Methods

### addClientListener

- addClientListener(clientListener: ClientListener, locale: CvLocale): void

- Implementation of Client.addClientListener

  - Defined in proxy/DialogProxy.ts:42

  #### Parameters

  - ##### clientListener: ClientListener

  - ##### locale: CvLocale

  #### Returns void

### clientListener

- clientListener(): function

- - Defined in proxy/DialogProxy.ts:37

  #### Returns function

  - - (clientEvent: ClientEvent): void

    - #### Parameters

      - ##### clientEvent: ClientEvent

      #### Returns void

### deleteJson

- deleteJson(baseUrl: string, resourcePath: string): Promise<JsonClientResponse>

- Implementation of Client.deleteJson

  - Defined in proxy/DialogProxy.ts:106

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  #### Returns Promise<JsonClientResponse>

### getBlob

- getBlob(baseUrl: string, resourcePath?: string): Promise<BlobClientResponse>

- Implementation of Client.getBlob

  - Defined in proxy/DialogProxy.ts:71

  #### Parameters

  - ##### baseUrl: string

  - ##### Optional resourcePath: string

  #### Returns Promise<BlobClientResponse>

### getJson

- getJson(baseUrl: string, resourcePath?: string, queryParams?: StringDictionary): Promise<JsonClientResponse>

- Implementation of Client.getJson

  - Defined in proxy/DialogProxy.ts:91

  #### Parameters

  - ##### baseUrl: string

  - ##### Optional resourcePath: string

  - ##### Optional queryParams: StringDictionary

  #### Returns Promise<JsonClientResponse>

### getText

- getText(baseUrl: string, resourcePath?: string): Promise<TextClientResponse>

- Implementation of Client.getText

  - Defined in proxy/DialogProxy.ts:76

  #### Parameters

  - ##### baseUrl: string

  - ##### Optional resourcePath: string

  #### Returns Promise<TextClientResponse>

### isAnyUserInBriefcaseMode

- isAnyUserInBriefcaseMode(tenantId: string): Promise<boolean>

- Implementation of Client.isAnyUserInBriefcaseMode

  - Defined in proxy/DialogProxy.ts:51

  #### Parameters

  - ##### tenantId: string

  #### Returns Promise<boolean>

### isUserInBriefcaseMode

- isUserInBriefcaseMode(userInfo: __type): Promise<boolean>

- Implementation of Client.isUserInBriefcaseMode

  - Defined in proxy/DialogProxy.ts:59

  #### Parameters

  - ##### userInfo: __type

  #### Returns Promise<boolean>

### openStream

- openStream(baseUrl: string, resourcePath?: string): Promise<StreamProducer>

- Implementation of Client.openStream

  - Defined in proxy/DialogProxy.ts:81

  #### Parameters

  - ##### baseUrl: string

  - ##### Optional resourcePath: string

  #### Returns Promise<StreamProducer>

### postJson

- postJson(baseUrl: string, resourcePath: string, jsonBody?: StringDictionary): Promise<JsonClientResponse>

- Implementation of Client.postJson

  - Defined in proxy/DialogProxy.ts:96

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  - ##### Optional jsonBody: StringDictionary

  #### Returns Promise<JsonClientResponse>

### postMultipart

- postMultipart(baseUrl: string, resourcePath: string, formData: FormData): Promise<VoidClientResponse>

- Implementation of Client.postMultipart

  - Defined in proxy/DialogProxy.ts:86

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  - ##### formData: FormData

  #### Returns Promise<VoidClientResponse>

### Private prepareForActivity

- prepareForActivity(): Promise<boolean>

- - Defined in proxy/DialogProxy.ts:137

  #### Returns Promise<boolean>

### Private processRequestAndResponse

- processRequestAndResponse(requestFn: string, responseFn: string, args: any): Promise<any>

- - Defined in proxy/DialogProxy.ts:151

  #### Parameters

  - ##### requestFn: string

  - ##### responseFn: string

  - ##### args: any

  #### Returns Promise<any>

### putJson

- putJson(baseUrl: string, resourcePath: string, jsonBody?: StringDictionary): Promise<JsonClientResponse>

- Implementation of Client.putJson

  - Defined in proxy/DialogProxy.ts:101

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  - ##### Optional jsonBody: StringDictionary

  #### Returns Promise<JsonClientResponse>

### removeClientListener

- removeClientListener(clientListener: ClientListener): void

- Implementation of Client.removeClientListener

  - Defined in proxy/DialogProxy.ts:47

  #### Parameters

  - ##### clientListener: ClientListener

  #### Returns void

### Static Private delegateRequest

- delegateRequest(previousPr: Promise<any>, delegateIterator: ValueIterator<DialogDelegate>, requestFn: string, args: any): Promise<any>

- - Defined in proxy/DialogProxy.ts:111

  #### Parameters

  - ##### previousPr: Promise<any>

  - ##### delegateIterator: ValueIterator<DialogDelegate>

  - ##### requestFn: string

  - ##### args: any

  #### Returns Promise<any>

Generated using TypeDoc